CREATE TABLE CST_SYS_PARAM
(
  OWNER   VARCHAR2(20)  NOT NULL,
  KEY     VARCHAR2(20)  NOT NULL,
  TYPE    VARCHAR2(2)   NOT NULL,
  VALUE   VARCHAR2(200) NOT NULL,
  DESCR   VARCHAR2(600),
  RESERVE VARCHAR2(1000),
  CONSTRAINT UNI_CST_SYS_PARAM
  PRIMARY KEY (OWNER, KEY)
)
/

CREATE TABLE TBL_IP_WHITE_LIST
(
  IP      VARCHAR2(16) NOT NULL,
  FLAG    VARCHAR2(2)  NOT NULL,
  ADDDATE VARCHAR2(16)
)
/

CREATE TABLE TRADE_ACCOUNT_FILE_DETAIL
(
  OFFERSEQ     NUMBER       NOT NULL,
  MCHT_NO      VARCHAR2(32) NOT NULL,
  MCHT_NAME    VARCHAR2(80),
  TRADE_AMOUNT NUMBER,
  MCHT_INCOME  NUMBER,
  DFSN         VARCHAR2(32),
  OFFER_TIME   VARCHAR2(14),
  TRADE_TYPE   VARCHAR2(80),
  OFFERDOC     VARCHAR2(120),
  STATUS       VARCHAR2(2),
  OPR_TIME     VARCHAR2(14)
)
/

CREATE UNIQUE INDEX PK_TRADE_ACCOUNT_FILE_DETAIL
  ON TRADE_ACCOUNT_FILE_DETAIL (MCHT_NO, DFSN)
/

CREATE TABLE TRADE_ACCOUNT_FILE_INFO
(
  OFFERSEQ    NUMBER      NOT NULL,
  PAYTYPE     VARCHAR2(2) NOT NULL,
  OFFERTIME   VARCHAR2(24),
  OPRID       VARCHAR2(40),
  OPRTIME     VARCHAR2(24),
  OFFERDOC    VARCHAR2(120),
  STATUS      VARCHAR2(2) DEFAULT 0,
  DESCRIPTION VARCHAR2(200),
  CHECK_TIME  VARCHAR2(24),
  CHECK_OPR   VARCHAR2(20)
)
/

CREATE UNIQUE INDEX PK_TRADE_ACCOUNT_FILE_INFO
  ON TRADE_ACCOUNT_FILE_INFO (OFFERSEQ)
/

CREATE UNIQUE INDEX PK_TRADE_ACCOUNT_FILE_INFO_DOC
  ON TRADE_ACCOUNT_FILE_INFO (OFFERDOC)
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.OFFERSEQ IS '???'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.PAYTYPE IS '???? 1-??'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.OFFERTIME IS '????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.OPRID IS '?????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.OPRTIME IS '????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.OFFERDOC IS '????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.STATUS IS '??'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.DESCRIPTION IS '????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.CHECK_TIME IS '????'
/

COMMENT ON COLUMN TRADE_ACCOUNT_FILE_INFO.CHECK_OPR IS '???'
/

CREATE TABLE TRADE_BRANCH_PROFIT
(
  STLM_DATE            CHAR(8) NOT NULL,
  CURRENT_BRANCH_NO    VARCHAR2(8),
  MANAGE_BRANCH_NO     VARCHAR2(8),
  FEE_TYPE             VARCHAR2(20),
  TXN_COUNT            NUMBER,
  TXN_AMOUNT           NUMBER(15, 2),
  TXN_INCOME           NUMBER(15, 2),
  PROFIT_RATE          NUMBER(15, 2),
  PROFIT_MANAGE        NUMBER(15, 2),
  PROFIT_CURRENT       NUMBER(15, 2),
  CURRENT_BRANCH_LEVEL VARCHAR2(1)
)
/

CREATE UNIQUE INDEX IDX_TRADE_BRANCH_PROFIT_1
  ON TRADE_BRANCH_PROFIT (STLM_DATE, CURRENT_BRANCH_NO, MANAGE_BRANCH_NO, FEE_TYPE)
/

CREATE TABLE TRADE_CHANNEL_INF
(
  CHANNEL_ID      VARCHAR2(32) NOT NULL,
  SECRET_KEY      VARCHAR2(32),
  CHANNEL_MCHT_NO VARCHAR2(15) NOT NULL,
  CHANNEL_NAME    VARCHAR2(40),
  CONSTRAINT PK_TRADE_CHANNEL_INF
  PRIMARY KEY (CHANNEL_ID, CHANNEL_MCHT_NO)
)
/

CREATE TABLE TRADE_CUPE_TRADE_MAP
(
  PK_TRADE_CUPE_TRADE_MAP NUMBER NOT NULL
    PRIMARY KEY,
  TRADE_SN                CHAR(18),
  EQUIP_CODE              VARCHAR2(32),
  ORDER_NO                CHAR(12),
  TRADE_NO                VARCHAR2(32),
  ORDER_AMOUNT            NUMBER,
  PAY_STATUS              CHAR,
  PAY_ERROR               VARCHAR2(40),
  PAY_AMOUNT              NUMBER,
  DISCOUNT_AMOUNT         NUMBER,
  REFUND_AMOUNT           NUMBER,
  CHANNEL_TRADE_SN        VARCHAR2(32),
  PAY_APP                 VARCHAR2(8),
  APP_ORDER_NO            VARCHAR2(64),
  RANDOM_STR              VARCHAR2(16),
  CRT_TIME                CHAR(14),
  PAY_TIME                CHAR(14),
  NOTIFY_URL              VARCHAR2(255)
)
/

CREATE UNIQUE INDEX IND_CUPE_TRADE_MAP_TRADE_SN
  ON TRADE_CUPE_TRADE_MAP (TRADE_SN)
/

CREATE UNIQUE INDEX IND_CUPE_TRADE_MAP_TRADE_NO
  ON TRADE_CUPE_TRADE_MAP (TRADE_NO)
/

CREATE INDEX IND_CUPE_TRADE_MAP_ORDER_NO
  ON TRADE_CUPE_TRADE_MAP (ORDER_NO)
/

CREATE INDEX IND_CUPE_TRADE_MAP_PAY_STATUS
  ON TRADE_CUPE_TRADE_MAP (PAY_STATUS)
/

CREATE TABLE TRADE_DF_DAY_AMOUNT
(
  BANK_CARD_NUM VARCHAR2(32) NOT NULL,
  BANK_NAME     VARCHAR2(80),
  REAL_NAME     VARCHAR2(80),
  MONEY_AMOUNT  NUMBER,
  DF_DAY        VARCHAR2(8)  NOT NULL,
  MCHT_NO       VARCHAR2(32),
  UPDATE_TIME   VARCHAR2(14)
)
/

CREATE UNIQUE INDEX IDX_DF_DAY_AMOUNT_1
  ON TRADE_DF_DAY_AMOUNT (BANK_CARD_NUM, DF_DAY)
/

CREATE INDEX IDX_DF_DAY_AMOUNT_MCHT_NO
  ON TRADE_DF_DAY_AMOUNT (MCHT_NO)
/

CREATE TABLE TRADE_DF_INFO
(
  OUT_TRADE_NO   VARCHAR2(32) NOT NULL
    PRIMARY KEY,
  TRADESN        VARCHAR2(32),
  TRANSACTION_ID VARCHAR2(32),
  REALNAME       VARCHAR2(80),
  IDCARD         VARCHAR2(20),
  BANKCARDNUM    VARCHAR2(24),
  MONEY          NUMBER,
  FREE           NUMBER,
  FEE            NUMBER,
  T0RESPCODE     VARCHAR2(10),
  T0RESPDESC     VARCHAR2(120),
  TIME_START     VARCHAR2(14),
  TIME_END       VARCHAR2(14),
  T0_STATUS      VARCHAR2(4),
  BANKNAME       VARCHAR2(128),
  SUBBRANCH      VARCHAR2(128),
  PCNAPS         VARCHAR2(32),
  STLTYPE        VARCHAR2(4)
)
/

CREATE TABLE TRADE_DIC_PARAM
(
  PK_TRADE_DIC_PARAM NUMBER NOT NULL
    PRIMARY KEY,
  PARAM_CODE         VARCHAR2(40),
  PARAM_NAME         VARCHAR2(100),
  PARAM_DESC         VARCHAR2(255),
  PARAM_ORDER        NUMBER,
  PARENT_CODE        VARCHAR2(40),
  CRT_TIME           CHAR(14),
  UPD_TIME           CHAR(14)
)
/

CREATE TABLE TRADE_FUNC_INF
(
  FUNC_ID        NUMBER        NOT NULL
    CONSTRAINT UNI_TRADE_FUNC_INF
    PRIMARY KEY,
  FUNC_PARENT_ID NUMBER,
  FUNC_TYPE      VARCHAR2(1),
  FUNC_NAME      VARCHAR2(50)  NOT NULL,
  PAGE_NAME      VARCHAR2(50)  NOT NULL,
  PAGE_URL       VARCHAR2(512) NOT NULL,
  REC_UPD_OPR    VARCHAR2(40),
  REC_CRT_TS     VARCHAR2(14),
  REC_UPD_TS     VARCHAR2(14)
)
/

CREATE TABLE TRADE_JUMP_LIST
(
  JUMP_GROUP      VARCHAR2(16),
  TRADE_SOURCE    VARCHAR2(8),
  CHANNEL_ID      VARCHAR2(32),
  CHANNEL_MCHT_NO VARCHAR2(32) NOT NULL,
  WEIGHT          NUMBER DEFAULT 1,
  GROUP_NAME      VARCHAR2(32)
)
/

CREATE INDEX IDX_TRADE_JUMP_LIST_1
  ON TRADE_JUMP_LIST (JUMP_GROUP, TRADE_SOURCE)
/

CREATE TABLE TRADE_MCHTROLE_FUNC_MAP
(
  KEY_ID      NUMBER NOT NULL,
  VALUE_ID    NUMBER NOT NULL,
  REC_UPD_OPR VARCHAR2(40),
  REC_CRT_TS  VARCHAR2(14),
  REC_UPD_TS  VARCHAR2(14),
  CONSTRAINT UNI_MCHTROLE_FUNC_MAP
  PRIMARY KEY (KEY_ID, VALUE_ID)
)
/

CREATE TABLE TRADE_MCHT_ACCOUNT
(
  MCHT_NO     VARCHAR2(32) NOT NULL,
  BALANCE     NUMBER,
  CASH_MIN    NUMBER,
  CASH_MAX    NUMBER,
  STATUS      VARCHAR2(2),
  UPDATE_TIME VARCHAR2(14),
  VERSION     NUMBER
)
/

CREATE TABLE TRADE_MCHT_ACCOUNT_DETAIL
(
  MCHT_NO          VARCHAR2(32),
  ACCOUNT_ORDER_NO VARCHAR2(32),
  RECEIPT_PAN      VARCHAR2(19),
  RECEIPT_BANK_NM  VARCHAR2(64),
  RECEIPT_NAME     VARCHAR2(60),
  RECEIPT_AMOUNT   NUMBER,
  RECEIPT_TIME     VARCHAR2(14),
  STATUS           VARCHAR2(2),
  MCHT_RATE        NUMBER(15, 3),
  MCHT_MAX_FEE     NUMBER,
  MCHT_FEE_VALUE   NUMBER,
  ACC_TYPE         VARCHAR2(4),
  BRANCH_NO        VARCHAR2(32),
  COST_RATE        NUMBER(15, 3),
  BRANCH_RATE      NUMBER(15, 3),
  COST_MAX_FEE     NUMBER,
  BRANCH_MAX_FEE   NUMBER,
  COST_FEE_VALUE   NUMBER,
  BRANCH_FEE_VALUE NUMBER,
  MCHT_INCOME      NUMBER,
  BRANCH_INCOME    NUMBER,
  COST_INCOME      NUMBER,
  TOTAL_AMOUNT     NUMBER,
  VERSION          NUMBER,
  PAY_TYPE         CHAR,
  CUR_TYPE         CHAR,
  SETTLE_NO        VARCHAR2(16),
  ACCT_TYPE        CHAR,
  MOBILE           VARCHAR2(16),
  MEMO             VARCHAR2(64),
  TIME_END         VARCHAR2(14),
  TRADE_SOURCE     VARCHAR2(2),
  DF_SN            VARCHAR2(32),
  DF_STATUS        VARCHAR2(16),
  DF_DESC          VARCHAR2(64),
  SINGLE_EXTRA_FEE NUMBER
)
/

CREATE UNIQUE INDEX IDX_ACCOUNT_DETAIL_MCHT_SN
  ON TRADE_MCHT_ACCOUNT_DETAIL (MCHT_NO, DF_SN)
/

CREATE INDEX IDX_ACCOUNT_DETAIL_ORDER_NO
  ON TRADE_MCHT_ACCOUNT_DETAIL (ACCOUNT_ORDER_NO)
/

CREATE INDEX IDX_ACCOUNT_RECEIPT_TIME
  ON TRADE_MCHT_ACCOUNT_DETAIL (RECEIPT_TIME)
/

CREATE TABLE TRADE_MCHT_FILE
(
  FILE_ID        NUMBER       NOT NULL,
  MCHT_NO        VARCHAR2(15) NOT NULL,
  MCHT_FILE_NAME VARCHAR2(100),
  MCHT_FILE_PATH VARCHAR2(200),
  MCHT_FILE_TYPE CHAR(2),
  CRT_OPR_ID     VARCHAR2(8),
  REC_CRT_TS     VARCHAR2(14),
  UPD_OPR_ID     VARCHAR2(8),
  REC_UPD_TS     VARCHAR2(14)
)
/

CREATE TABLE TRADE_MCHT_INFO
(
  PK_TRADE_MCHT_INFO NUMBER NOT NULL
    PRIMARY KEY,
  MCHT_CODE          VARCHAR2(15),
  MCHTNAME           VARCHAR2(40),
  MD5KEY             VARCHAR2(40)
)
/

CREATE INDEX IND_MCHT_INFO_MCHT_CODE
  ON TRADE_MCHT_INFO (MCHT_CODE)
/

CREATE TABLE TRADE_MCHT_YZM
(
  ID          VARCHAR2(32) NOT NULL
    PRIMARY KEY,
  MCHT_NO     VARCHAR2(32) NOT NULL,
  TELPHONE    VARCHAR2(16) NOT NULL,
  YZM_TYPE    VARCHAR2(8),
  YZM         VARCHAR2(16),
  INSERT_TIME VARCHAR2(17),
  MSG_RESULT  VARCHAR2(32),
  STATUS      VARCHAR2(2)
)
/

CREATE TABLE TRADE_NOTIFY_INFO
(
  OUT_TRADE_NO   VARCHAR2(32) NOT NULL,
  NATIV_TIME_END VARCHAR2(14),
  NOTIFY_TIME    VARCHAR2(14),
  RETURNDATA     VARCHAR2(32),
  NOTIFY_NUM     NUMBER
)
/

CREATE TABLE TRADE_OPR_INFO
(
  OPR_ID       VARCHAR2(40) NOT NULL
    CONSTRAINT PRIMARY_OPR_ID
    PRIMARY KEY,
  OPR_DEGREE   NUMBER,
  OPR_STA      VARCHAR2(1),
  OPR_NAME     VARCHAR2(40) NOT NULL,
  OPR_GENDER   VARCHAR2(1)  NOT NULL,
  REGISTER_DT  VARCHAR2(8)  NOT NULL,
  OPR_PWD      VARCHAR2(32) NOT NULL,
  OPR_MOBILE   VARCHAR2(30),
  OPR_EMAIL    VARCHAR2(40),
  LAST_UPD_TS  VARCHAR2(14) NOT NULL,
  OPR_TYPE     VARCHAR2(8),
  COMPANY_ID   VARCHAR2(40),
  COMPANY_NAME VARCHAR2(80),
  ADDRESS      VARCHAR2(128),
  CONNACT_NAME VARCHAR2(32),
  IDENTIFY_NO  VARCHAR2(32)
)
/

CREATE TABLE TRADE_OUTPAY_MCHT_INFO
(
  MCHT_NO         VARCHAR2(15) NOT NULL
    PRIMARY KEY,
  MCHT_NAME       VARCHAR2(40),
  FIRST_NAME      VARCHAR2(20),
  LAST_NAME       VARCHAR2(20),
  COMPANY_NAME    VARCHAR2(60),
  EMAIL_ADDRESS   VARCHAR2(40),
  PHONE           VARCHAR2(14),
  COUNTRY         VARCHAR2(40),
  ADDRESS         VARCHAR2(80),
  AREANO          VARCHAR2(6),
  MCC2            VARCHAR2(6),
  CHANNEL_MCHT_NO VARCHAR2(32),
  CRT_TIME        VARCHAR2(14)
)
/

CREATE TABLE TRADE_OUT_BOUND_INF
(
  PK_TRADE_OUT_BOUND_INF NUMBER NOT NULL
    PRIMARY KEY,
  TRADE_SN               VARCHAR2(32),
  TERM_ID                VARCHAR2(10),
  INST_ID                VARCHAR2(10),
  APILOGINID             VARCHAR2(16),
  TXN_NUM                VARCHAR2(4),
  CARD_NUMBER            VARCHAR2(21),
  AMOUNT                 CHAR(12),
  ORDERNO                CHAR(6),
  INSTTIME               CHAR(6),
  INSTDATE               CHAR(8),
  EXPIRATION_DATE        CHAR(4),
  PHONENO                VARCHAR2(11),
  CCV                    CHAR(3),
  NAME                   VARCHAR2(20),
  MCHT_NO                VARCHAR2(15),
  TRANS_HASH             VARCHAR2(32),
  TRANSID                VARCHAR2(32),
  ACCOUNT_TYPE           VARCHAR2(16),
  AUTH_CODE              VARCHAR2(16),
  AVSRESULTCODE          VARCHAR2(2),
  CVVRESULTCODE          VARCHAR2(2),
  CAVVRESULTCODE         VARCHAR2(2),
  RESULT_CODE            VARCHAR2(16),
  CODE                   VARCHAR2(16),
  CODE_DESC              VARCHAR2(180),
  CRT_TIME               CHAR(14),
  UPDATE_TIME            CHAR(14)
)
/

CREATE UNIQUE INDEX IND_OUT_BOUND_INF_TRADE_SN
  ON TRADE_OUT_BOUND_INF (TRADE_SN)
/

CREATE TABLE TRADE_QRCODE_CHANNEL_INF
(
  CHANNEL_ID         VARCHAR2(32) NOT NULL,
  SECRET_KEY         VARCHAR2(256) DEFAULT NULL,
  CHANNEL_MCHT_NO    VARCHAR2(32) NOT NULL,
  CHANNEL_NAME       VARCHAR2(40),
  T0FLAG             VARCHAR2(1),
  AGTID              VARCHAR2(32),
  NETPAY_FEE_VALUE   NUMBER(15, 3) DEFAULT 0.38,
  QUICKPAY_FEE_VALUE NUMBER(15, 3) DEFAULT 0.38,
  WECHAT_FEE_VALUE   NUMBER(15, 3) DEFAULT 0.38,
  ALIPAY_FEE_VALUE   NUMBER(15, 3) DEFAULT 0.38,
  UPDATE_TIME        CHAR(14),
  UPDATE_OPR         VARCHAR2(32),
  STATUS             VARCHAR2(4),
  CRT_TIME           CHAR(14),
  PRIMARY_KEY        VARCHAR2(3072),
  PASS_WORD          VARCHAR2(32),
  PHONE              VARCHAR2(15),
  IDENTITY_NO        VARCHAR2(20),
  BANK_CARD_NO       VARCHAR2(20),
  BANK_NAME          VARCHAR2(80),
  CARD_NAME          VARCHAR2(80),
  ADDRESS            VARCHAR2(120),
  CHECK_TIME         VARCHAR2(14),
  CHECK_MESSAGE      VARCHAR2(120),
  JUMP_URL           VARCHAR2(256),
  CONSTRAINT PRIMARY_CHANNEL_MCHT_NO
  PRIMARY KEY (CHANNEL_ID, CHANNEL_MCHT_NO)
)
/

CREATE TABLE TRADE_QRCODE_MCHT_INFO
(
  MCHT_NO                 VARCHAR2(15) NOT NULL
    PRIMARY KEY,
  MCHT_NAME               VARCHAR2(40),
  COMPANY_NAME            VARCHAR2(60),
  CHANNEL_MCHT_NO         VARCHAR2(32),
  SECRET_KEY              VARCHAR2(32) NOT NULL,
  CRT_TIME                VARCHAR2(14),
  CHANNEL_ID              VARCHAR2(32),
  PHONE                   VARCHAR2(15),
  IDENTITY_NO             VARCHAR2(20),
  BANK_CARD_NO            VARCHAR2(20),
  BANK_NAME               VARCHAR2(80),
  CARD_NAME               VARCHAR2(80),
  BANK_NO                 VARCHAR2(20),
  LISENCE_ADDR            VARCHAR2(120),
  COMPANY_ID              VARCHAR2(40),
  RETURN_NATIVE_QRCODE    CHAR          DEFAULT '1',
  DEBIT_CARD_FEE_VALUE    NUMBER(15, 3) DEFAULT 0.5,
  DEBIT_CARD_MAX_FEE      NUMBER(15, 2) DEFAULT 20,
  CREDIT_CARD_FEE_VALUE   NUMBER(15, 3) DEFAULT 0.6,
  WECHAT_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  ALIPAY_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  QUICKPAY_FEE_VALUE      NUMBER(15, 3) DEFAULT 0.38,
  NETPAY_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  IP_ADDR                 VARCHAR2(64),
  UPDATE_TIME             CHAR(14),
  UPDATE_OPR              VARCHAR2(32),
  STATUS                  VARCHAR2(4),
  TRADE_SOURCE_LIST       VARCHAR2(64)  DEFAULT '1:2:3:4:5:6:7',
  SINGLE_EXTRA_FEE        NUMBER        DEFAULT 0,
  IS_T1_LIQ               VARCHAR2(1)   DEFAULT 1,
  JUMP_FLAG               CHAR          DEFAULT '0',
  JUMP_GROUP              VARCHAR2(16),
  EMAIL                   VARCHAR2(32),
  DFCARD_DAY_LIMIT        NUMBER        DEFAULT 20000000,
  QQ_FEE_VALUE            NUMBER(15, 3) DEFAULT 0.38,
  ALIWAP_FEE_VALUE        NUMBER(15, 3),
  WECHATWAP_FEE_VALUE     NUMBER(15, 3),
  DAIKOU_NEED_CHECK       CHAR          DEFAULT '1',
  DAIKOU_FEE_VALUE        NUMBER(15, 3),
  DAIKOU_FEE_LIMIT_VALUE  NUMBER        DEFAULT 3,

  UNIPAY_QRCODE_FEE_VALUE NUMBER(15, 3) DEFAULT 0.38
)
/

CREATE TABLE TRADE_QRCODE_MCHT_INFO_TMP
(
  MCHT_NO                 VARCHAR2(15) NOT NULL
    PRIMARY KEY,
  MCHT_NAME               VARCHAR2(40),
  COMPANY_NAME            VARCHAR2(60),
  CHANNEL_MCHT_NO         VARCHAR2(32),
  SECRET_KEY              VARCHAR2(32) NOT NULL,
  CRT_TIME                VARCHAR2(14),
  CHANNEL_ID              VARCHAR2(32),
  PHONE                   VARCHAR2(15),
  IDENTITY_NO             VARCHAR2(20),
  BANK_CARD_NO            VARCHAR2(20),
  BANK_NAME               VARCHAR2(80),
  CARD_NAME               VARCHAR2(80),
  BANK_NO                 VARCHAR2(20),
  LISENCE_ADDR            VARCHAR2(120),
  COMPANY_ID              VARCHAR2(40),
  RETURN_NATIVE_QRCODE    CHAR          DEFAULT '1',
  DEBIT_CARD_FEE_VALUE    NUMBER(15, 3) DEFAULT 0.5,
  DEBIT_CARD_MAX_FEE      NUMBER(15, 2) DEFAULT 20,
  CREDIT_CARD_FEE_VALUE   NUMBER(15, 3) DEFAULT 0.6,
  WECHAT_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  ALIPAY_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  QUICKPAY_FEE_VALUE      NUMBER(15, 3) DEFAULT 0.38,
  NETPAY_FEE_VALUE        NUMBER(15, 3) DEFAULT 0.38,
  IP_ADDR                 VARCHAR2(64),
  UPDATE_TIME             CHAR(14),
  UPDATE_OPR              VARCHAR2(32),
  STATUS                  VARCHAR2(4),
  TRADE_SOURCE_LIST       VARCHAR2(64)  DEFAULT '1:2:3:4:5:6:7',
  SINGLE_EXTRA_FEE        NUMBER        DEFAULT 0,
  IS_T1_LIQ               VARCHAR2(1)   DEFAULT 1,
  JUMP_FLAG               CHAR          DEFAULT '0',
  JUMP_GROUP              VARCHAR2(16),
  EMAIL                   VARCHAR2(32),
  DFCARD_DAY_LIMIT        NUMBER        DEFAULT 20000000,
  QQ_FEE_VALUE            NUMBER(15, 3) DEFAULT 0.38,
  REFUSE_REASON           VARCHAR2(200),
  RECHECK_TIME            VARCHAR2(14),
  RECHECK_OPR             VARCHAR2(40),
  ALIWAP_FEE_VALUE        NUMBER(15, 3),
  WECHATWAP_FEE_VALUE     NUMBER(15, 3),
  UNIPAY_QRCODE_FEE_VALUE NUMBER(15, 3) DEFAULT 0.38
)
/

CREATE TABLE TRADE_QUICKPAY_INF
(
  TRADE_TYPE         VARCHAR2(16)  DEFAULT '2',
  CARD_HOLDER_NAME   VARCHAR2(80),
  CARD_NO            VARCHAR2(80),
  CARD_TYPE          VARCHAR2(2),
  EXPIRE_DATE        VARCHAR2(8),
  CVV                VARCHAR2(3),
  BANK_CODE          VARCHAR2(12),
  BANK_NAME          VARCHAR2(80),
  CER_TYPE           VARCHAR2(2),
  CER_NUMBER         VARCHAR2(32),
  MOBILENUM          VARCHAR2(16),
  YZM                VARCHAR2(12),
  SERVICE            VARCHAR2(32),
  VERSION            VARCHAR2(8),
  CHARSET            VARCHAR2(8),
  SIGN_TYPE          VARCHAR2(8),
  MCH_ID             VARCHAR2(32),
  OUT_TRADE_NO       VARCHAR2(32) NOT NULL,
  DEVICE_INFO        VARCHAR2(32),
  BODY               VARCHAR2(127),
  ATTACH             VARCHAR2(128),
  TOTAL_FEE          NUMBER,
  MCH_CREATE_IP      VARCHAR2(16),
  NOTIFY_URL         VARCHAR2(255),
  TIME_START         VARCHAR2(14),
  TIME_EXPIRE        VARCHAR2(14),
  NONCE_STR          VARCHAR2(32),
  SIGN               VARCHAR2(32),
  MESSAGE            VARCHAR2(128),
  RESULT_CODE        VARCHAR2(16),
  ERR_CODE           VARCHAR2(32),
  ERR_MSG            VARCHAR2(128),
  GY_MCHT_ID         VARCHAR2(16),
  CHANNEL_ID         VARCHAR2(16),
  GY_NOTIFYURL       VARCHAR2(255),
  TRADESN            VARCHAR2(32),
  TRADE_STATE        VARCHAR2(32),
  OPENID             VARCHAR2(128),
  PAY_RESULT         NUMBER,
  TRANSACTION_ID     VARCHAR2(32),
  OUT_TRANSACTION_ID VARCHAR2(32),
  COUPON_FEE         NUMBER,
  FEE_TYPE           VARCHAR2(8),
  TIME_END           VARCHAR2(14),
  CALLBACK_URL       VARCHAR2(255),
  LIMIT_CREDIT_P     VARCHAR2(32),
  TOKEN_ID           VARCHAR2(64),
  PAY_INFO           VARCHAR2(400),
  T0FLAG             VARCHAR2(1),
  RESP_CODE          VARCHAR2(8),
  GYNOTIFY_BACK      VARCHAR2(20),
  TRADE_SOURCE       VARCHAR2(8)   DEFAULT '2',
  NOTIFY_NUM         NUMBER        DEFAULT 0,
  NOTIFY_DATA        VARCHAR2(512),
  NOFITY_TIME        CHAR(14),
  IS_ACCEPT_YZM      CHAR(2)       DEFAULT '00',
  PAY_URL            VARCHAR2(1024),
  SETTLE_FEE         NUMBER,
  MCHT_RATE          NUMBER(15, 3) DEFAULT 0.0,
  RATE_FEE           NUMBER,
  SEND_PACKGE        VARCHAR2(1024)
)
/

COMMENT ON COLUMN TRADE_QUICKPAY_INF.IS_ACCEPT_YZM IS '????????00???01???'
/

CREATE TABLE TRADE_RATE_INFO
(
  OWNER_NO              VARCHAR2(32),
  RATE_TYPE             VARCHAR2(2),
  DEBIT_CARD_FEE_VALUE  NUMBER(15, 3) DEFAULT 0.5,
  DEBIT_CARD_MAX_FEE    NUMBER(15, 2) DEFAULT 20,
  CREDIT_CARD_FEE_VALUE NUMBER(15, 3) DEFAULT 0.6,
  WECHAT_FEE_VALUE      NUMBER(15, 3) DEFAULT 0.38,
  ALIPAY_FEE_VALUE      NUMBER(15, 3) DEFAULT 0.38,
  QQ_FEE_VALUE          NUMBER(15, 3) DEFAULT 0.38,
  QUICKPAY_FEE_VALUE    NUMBER(15, 3) DEFAULT 0.38,
  NETPAY_FEE_VALUE      NUMBER(15, 3) DEFAULT 0.38,
  UPDATE_TIME           VARCHAR2(14),
  OPR_ID                VARCHAR2(32),
  SINGLE_EXTRA_FEE      NUMBER        DEFAULT 0,
  ALIWAP_FEE_VALUE      NUMBER(15, 3),
  WECHATWAP_FEE_VALUE   NUMBER(15, 3)
)
/

CREATE TABLE TRADE_ROLE_FUNC_MAP
(
  KEY_ID      NUMBER NOT NULL,
  VALUE_ID    NUMBER NOT NULL,
  REC_UPD_OPR VARCHAR2(40),
  REC_CRT_TS  VARCHAR2(14),
  REC_UPD_TS  VARCHAR2(14),
  CONSTRAINT UNI_TRADE_ROLE_FUNC_MAP
  PRIMARY KEY (KEY_ID, VALUE_ID)
)
/

CREATE TABLE TRADE_TRADE_MAP
(
  PK_TRADE_TRADE_MAP NUMBER NOT NULL
    PRIMARY KEY,
  TRADE_SN           CHAR(18),
  MCHT_CODE          VARCHAR2(15),
  ORDER_NO           CHAR(11),
  OUT_ORDER_ID       CHAR(32),
  CRT_TIME           CHAR(14)
)
/

CREATE INDEX IND_TRADE_MAP_TRADE_SN
  ON TRADE_TRADE_MAP (TRADE_SN)
/

CREATE INDEX IND_TRADE_MAP_MCHT_CODE
  ON TRADE_TRADE_MAP (MCHT_CODE)
/

CREATE TABLE TRADE_USER_MCHT
(
  MCHT_NO     VARCHAR2(32)  NOT NULL
    CONSTRAINT UNI_TRADE_USER_MCHT
    PRIMARY KEY,
  PASSWORD    VARCHAR2(100) NOT NULL,
  CREATE_TYPE VARCHAR2(2)   NOT NULL,
  CREATE_TIME CHAR(14),
  UPDATE_TIME CHAR(14),
  BINDUUID    VARCHAR2(32)
)
/

CREATE TABLE TRADE_USER_MENU
(
  FUNC_ID        NUMBER        NOT NULL
    CONSTRAINT UNI_TRADE_USER_MENU
    PRIMARY KEY,
  FUNC_PARENT_ID NUMBER,
  FUNC_TYPE      VARCHAR2(1),
  FUNC_NAME      VARCHAR2(50)  NOT NULL,
  PAGE_NAME      VARCHAR2(50)  NOT NULL,
  PAGE_URL       VARCHAR2(512) NOT NULL,
  REC_UPD_OPR    VARCHAR2(40),
  REC_CRT_TS     VARCHAR2(14),
  REC_UPD_TS     VARCHAR2(14)
)
/

CREATE TABLE TRADE_WXPAY_INF
(
  SERVICE            VARCHAR2(32),
  VERSION            VARCHAR2(8),
  CHARSET            VARCHAR2(8),
  SIGN_TYPE          VARCHAR2(8),
  MCH_ID             VARCHAR2(32),
  SIGN_AGENTNO       VARCHAR2(32),
  OUT_TRADE_NO       VARCHAR2(32) NOT NULL
    PRIMARY KEY,
  DEVICE_INFO        VARCHAR2(32),
  BODY               VARCHAR2(127),
  ATTACH             VARCHAR2(128),
  TOTAL_FEE          NUMBER,
  MCH_CREATE_IP      VARCHAR2(16),
  NOTIFY_URL         VARCHAR2(255),
  TIME_START         VARCHAR2(14),
  TIME_EXPIRE        VARCHAR2(14),
  OP_USER_ID         VARCHAR2(32),
  GOODS_TAG          VARCHAR2(32),
  PRODUCT_ID         VARCHAR2(32),
  NONCE_STR          VARCHAR2(32),
  SIGN               VARCHAR2(32),
  STATUS             VARCHAR2(16),
  MESSAGE            VARCHAR2(128),
  RESULT_CODE        VARCHAR2(16),
  ERR_CODE           VARCHAR2(32),
  ERR_MSG            VARCHAR2(128),
  CODE_URL           VARCHAR2(3000) DEFAULT NULL,
  CODE_IMG_URL       VARCHAR2(512),
  GY_MCHT_ID         VARCHAR2(16),
  CHANNEL_ID         VARCHAR2(16),
  GY_NOTIFYURL       VARCHAR2(255),
  TRADESN            VARCHAR2(32),
  TRADE_STATE        VARCHAR2(32),
  OPENID             VARCHAR2(128),
  TRADE_TYPE         VARCHAR2(32),
  IS_SUBSCRIBE       VARCHAR2(2),
  PAY_RESULT         NUMBER,
  TRANSACTION_ID     VARCHAR2(64),
  OUT_TRANSACTION_ID VARCHAR2(32),
  SUB_IS_SUBSCRIBE   VARCHAR2(2),
  SUB_APPID          VARCHAR2(32),
  SUB_OPENID         VARCHAR2(128),
  COUPON_FEE         NUMBER,
  FEE_TYPE           VARCHAR2(8),
  BANK_TYPE          VARCHAR2(16),
  BANK_BILLNO        VARCHAR2(32),
  TIME_END           VARCHAR2(14),
  IS_RAW             VARCHAR2(1),
  CALLBACK_URL       VARCHAR2(255),
  LIMIT_CREDIT_P     VARCHAR2(32),
  APPID              VARCHAR2(32),
  TOKEN_ID           VARCHAR2(256),
  PAY_INFO           VARCHAR2(400),
  T0FLAG             VARCHAR2(1)    DEFAULT '0',
  GYNOTIFY_BACK      VARCHAR2(20),
  RESP_CODE          VARCHAR2(8),
  TRADE_SOURCE       VARCHAR2(8)    DEFAULT '2',
  IS_NEW_TRADE       CHAR           DEFAULT '1',
  NOTIFY_NUM         NUMBER         DEFAULT 0,
  NOTIFY_DATA        VARCHAR2(512),
  NOFITY_TIME        CHAR(14),
  SETTLE_FEE         NUMBER,
  MCHT_RATE          NUMBER(15, 3)  DEFAULT 0.0,
  RATE_FEE           NUMBER
)
/

CREATE INDEX IND_WXPAY_INF_TOKEN_ID
  ON TRADE_WXPAY_INF (TOKEN_ID)
/

CREATE TABLE TRADE_WX_JSPAY_INF
(
  SERVICE            VARCHAR2(32),
  VERSION            VARCHAR2(8),
  CHARSET            VARCHAR2(8),
  SIGN_TYPE          VARCHAR2(8),
  MCH_ID             VARCHAR2(32),
  IS_RAW             VARCHAR2(1),
  OUT_TRADE_NO       VARCHAR2(32) NOT NULL
    PRIMARY KEY,
  DEVICE_INFO        VARCHAR2(32),
  BODY               VARCHAR2(127),
  SUB_OPENID         VARCHAR2(128),
  ATTACH             VARCHAR2(128),
  TOTAL_FEE          NUMBER,
  MCH_CREATE_IP      VARCHAR2(16),
  NOTIFY_URL         VARCHAR2(255),
  CALLBACK_URL       VARCHAR2(255),
  TIME_START         VARCHAR2(14),
  TIME_EXPIRE        VARCHAR2(14),
  GOODS_TAG          VARCHAR2(32),
  NONCE_STR          VARCHAR2(32),
  LIMIT_CREDIT_P     VARCHAR2(32),
  SIGN               VARCHAR2(32),
  APPID              VARCHAR2(32),
  TOKEN_ID           VARCHAR2(64),
  PAY_INFO           VARCHAR2(255),
  STATUS             VARCHAR2(16),
  MESSAGE            VARCHAR2(128),
  RESULT_CODE        VARCHAR2(16),
  ERR_CODE           VARCHAR2(32),
  ERR_MSG            VARCHAR2(128),
  GY_MCHT_ID         VARCHAR2(16),
  CHANNEL_ID         VARCHAR2(16),
  GY_NOTIFYURL       VARCHAR2(255),
  TRADESN            VARCHAR2(32),
  TRADE_STATE        VARCHAR2(32),
  OPENID             VARCHAR2(128),
  TRADE_TYPE         VARCHAR2(32),
  IS_SUBSCRIBE       VARCHAR2(2),
  PAY_RESULT         NUMBER,
  TRANSACTION_ID     VARCHAR2(32),
  OUT_TRANSACTION_ID VARCHAR2(32),
  SUB_IS_SUBSCRIBE   VARCHAR2(2),
  SUB_APPID          VARCHAR2(32),
  COUPON_FEE         NUMBER,
  FEE_TYPE           VARCHAR2(8),
  BANK_TYPE          VARCHAR2(16),
  BANK_BILLNO        VARCHAR2(32),
  TIME_END           VARCHAR2(14)
)
/


